Skip to main content
GET
/
accounts
/
{account_guid}
/
account_number
Read account numbers by account_guid
curl --request GET \
  --url https://int-data.moneydesktop.com/accounts/{account_guid}/account_number \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "account_numbers": [
    {
      "account_guid": "ACT-82ac32b4-06e6-48a9-8440-17e49bb3d720",
      "account_number": 1174165092,
      "institution_number": null,
      "member_guid": "MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa",
      "passed_validation": true,
      "routing_number": 998007868,
      "transit_number": null,
      "user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
    }
  ]
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

account_guid
string
required

The unique identifier for the account. Defined by MX.

Response

200 - application/vnd.mx.api.v1+json

OK

account_numbers
object[]